Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkIdFilter Class Reference

`#include <vtkIdFilter.h>`

Inheritance diagram for vtkIdFilter:

[legend]
Collaboration diagram for vtkIdFilter:

[legend]
List of all members.

## Detailed Description

generate scalars or field data from point and cell ids

Date:
  2002/01/22 15:29:23

Revision:
  1.18

vtkIdFilter is a filter to that generates scalars or field data using cell and point ids. That is, the point attribute data scalars or field data are generated from the point ids, and the cell attribute data scalars or field data are generated from the the cell ids.

Typically this filter is used with vtkLabeledDataMapper (and possibly vtkSelectVisiblePoints) to create labels for points and cells, or labels for the point or cell data scalar values.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (68%)
  - Biddiscombe, John (10%)
  - Geveci, Berk (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkIdFilter.cxx)`
  - .`h` (`/Graphics/vtkIdFilter.h)`

Examples:
  vtkIdFilter (Examples)

Tests:
  vtkIdFilter (Tests)

Definition at line 56 of file vtkIdFilter.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetPointIds (int)
virtual int | GetPointIds ()
virtual void | PointIdsOn ()
virtual void | PointIdsOff ()
virtual void | SetCellIds (int)
virtual int | GetCellIds ()
virtual void | CellIdsOn ()
virtual void | CellIdsOff ()
virtual void | SetFieldData (int)
virtual int | GetFieldData ()
virtual void | FieldDataOn ()
virtual void | FieldDataOff ()
virtual void | SetIdsArrayName (const char *)
virtual char * | GetIdsArrayName ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkIdFilter * | SafeDownCast (vtkObject *o)
vtkIdFilter * | New ()
## Protected Methods
| vtkIdFilter ()
| ~vtkIdFilter ()
void | Execute ()
## Protected Attributes
int | PointIds
int | CellIds
int | FieldData
char * | IdsArrayName

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkIdFilter::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 59 of file vtkIdFilter.h.

## Constructor & Destructor Documentation

vtkIdFilter::vtkIdFilter | ( |  | ) | `[protected]`

vtkIdFilter::~vtkIdFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkIdFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkIdFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkIdFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkIdFilter* vtkIdFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkIdFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

vtkIdFilter* vtkIdFilter::New | ( |  | ) | `[static]`

| Construct object with PointIds and CellIds on; and ids being generated as scalars. Reimplemented from vtkObject.

virtual void vtkIdFilter::SetPointIds | ( | int |  | ) | `[virtual]`

| Enable/disable the generation of point ids.

virtual int vtkIdFilter::GetPointIds | ( |  | ) | `[virtual]`

| Enable/disable the generation of point ids.

virtual void vtkIdFilter::PointIdsOn | ( |  | ) | `[virtual]`

| Enable/disable the generation of point ids.

virtual void vtkIdFilter::PointIdsOff | ( |  | ) | `[virtual]`

| Enable/disable the generation of point ids.

virtual void vtkIdFilter::SetCellIds | ( | int |  | ) | `[virtual]`

| Enable/disable the generation of point ids.

virtual int vtkIdFilter::GetCellIds | ( |  | ) | `[virtual]`

| Enable/disable the generation of point ids.

virtual void vtkIdFilter::CellIdsOn | ( |  | ) | `[virtual]`

| Enable/disable the generation of point ids.

virtual void vtkIdFilter::CellIdsOff | ( |  | ) | `[virtual]`

| Enable/disable the generation of point ids.

virtual void vtkIdFilter::SetFieldData | ( | int |  | ) | `[virtual]`

| Set/Get the flag which controls whether to generate scalar data or field data. If this flag is off, scalar data is generated. Otherwise, field data is generated.

virtual int vtkIdFilter::GetFieldData | ( |  | ) | `[virtual]`

| Set/Get the flag which controls whether to generate scalar data or field data. If this flag is off, scalar data is generated. Otherwise, field data is generated.

virtual void vtkIdFilter::FieldDataOn | ( |  | ) | `[virtual]`

| Set/Get the flag which controls whether to generate scalar data or field data. If this flag is off, scalar data is generated. Otherwise, field data is generated.

virtual void vtkIdFilter::FieldDataOff | ( |  | ) | `[virtual]`

| Set/Get the flag which controls whether to generate scalar data or field data. If this flag is off, scalar data is generated. Otherwise, field data is generated.

virtual void vtkIdFilter::SetIdsArrayName | ( | const char * |  | ) | `[virtual]`

| Set/Get the name of the Ids array if generated. By default the Ids are named "vtkIdFilter_Ids", but this can be changed with this function.

virtual char* vtkIdFilter::GetIdsArrayName | ( |  | ) | `[virtual]`

| Set/Get the name of the Ids array if generated. By default the Ids are named "vtkIdFilter_Ids", but this can be changed with this function.

void vtkIdFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkIdFilter::PointIds`[protected]`

| Definition at line 103 of file vtkIdFilter.h.

int vtkIdFilter::CellIds`[protected]`

| Definition at line 104 of file vtkIdFilter.h.

int vtkIdFilter::FieldData`[protected]`

| Definition at line 105 of file vtkIdFilter.h.

char* vtkIdFilter::IdsArrayName`[protected]`

| Definition at line 106 of file vtkIdFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkIdFilter.h